export interface ParsedCliArgs {
    argv: {
        remain: string[];
        cooked: string[];
        original: string[];
    };
    params: string[];
    options: Record<string, any>;
    cmd: string | null;
    unknownOptions: Map<string, string[]>;
    fallbackCommandUsed: boolean;
    workspaceDir?: string;
}
export declare function parseCliArgs(opts: {
    escapeArgs?: string[];
    fallbackCommand?: string;
    getCommandLongName: (commandName: string) => string | null;
    getTypesByCommandName: (commandName: string) => object;
    renamedOptions?: Record<string, string>;
    shorthandsByCommandName: Record<string, Record<string, string | string[]>>;
    universalOptionsTypes: Record<string, unknown>;
    universalShorthands: Record<string, string | string[]>;
}, inputArgv: string[]): Promise<ParsedCliArgs>;
